Package picard.util

# Enum Class VariantType

java.lang.Object
java.lang.Enum<VariantType>
picard.util.VariantType

All Implemented Interfaces:
  `Serializable`, `Comparable<VariantType>`, `Constable`

public enum VariantType extends Enum<VariantType>
Enum to hold the possible types of dbSnps. Note that these correspsond to the names used in the dbSnp database with the exception of indel (which is in-del in dbSnp).

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`deletion`
`insertion`
`SNP`

## Method Summary

Modifier and Type
Method
Description
`static VariantType`
`getVariantTypeFromOrdinal(int ordinal)`
Gets the enum for a given ordinal
`static VariantType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VariantType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SNP

public static final VariantType SNP

### insertion

public static final VariantType insertion

### deletion

public static final VariantType deletion

## Method Details

### values

public static VariantType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VariantType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getVariantTypeFromOrdinal

public static VariantType getVariantTypeFromOrdinal(int ordinal)
Gets the enum for a given ordinal

Parameters:
  `ordinal` -
Returns:
  VariantType